package com.dbnt.kcscbackend.auth.repository;


import com.dbnt.kcscbackend.auth.entity.UserInfo;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

public interface UserInfoRepository extends JpaRepository<UserInfo, Integer> {

  Optional<UserInfo> findByUserId(String userId);
  Optional<UserInfo> findByEmail(String email);

  Optional<UserInfo> findByEmailAndUserId(String email, String id);
}
